<!DOCTYPE html>

<html xmlns:th="http://www.thymeleaf.org">
<head>
<meta charset="UTF-8">

<!-- BOOTSTRAP META -->
<meta name="viewport" content="width=device-width, initial-scale=1.0">
<meta http-equiv="X-UA-Compatible" content="ie=edge">
<title>Home</title>

<!-- BASIC CSS -->
<link rel="stylesheet" href="/css/basic.css">

<!-- BOOTSTRAP CSS -->
<link rel="stylesheet"
	href="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/css/bootstrap.min.css"
	integrity="sha384-Gn5384xqQ1aoWXA+058RXPxPg6fy4IWvTNh0E263XmFcJlSAwiGgFAW/dAiS6JXm"
	crossorigin="anonymous">

<link rel="icon" type="image/png" href="/images/favicon-32x32.png">

</head>

<body>
	<!-- ------------------- -->
	<!-- NAVIGATION -------- -->
	<!-- ------------------- -->

	<nav class="navbar navbar-expand-sm navbar-dark bg-dark">
		<a href="/"><img id="logo" class="navbar-brand" height="80px"
			src="/images/SimpleBookLogo.png"></a>
		<button class="navbar-toggler" data-toggle="collapse"
			data-target="#navbarMenu">
			<span class="navbar-toggler-icon"></span>
		</button>
		<div class="collapse navbar-collapse" id="navbarMenu">
			<a href="/timeline" class="btn btn-primary btn-lg ml-auto"
				role="button" aria-pressed="true">Timeline</a>
				
			<a href="/post" class="btn btn-secondary btn-lg m-2"
				role="button" aria-pressed="true">Post It</a>
				
			<a href="/logout" class="btn btn-secondary btn-lg"
				role="button" aria-pressed="true">Log Out</a>
			<a href="/edit-profile"><img id="settings" class="icon"
				src="/images/settings.png"></a>
		</div>

	</nav>

	<p class="welcome text-center" id='welcome'>
	<p>

		<!-- ------------------- -->
		<!-- USER CARDS -------- -->
		<!-- ------------------- -->
	<div class="container mt-2">
		<div class="col-sm-4 mx-auto">
			<input class="form-control" id="myInput" type="text"
				placeholder="Search...">
		</div>
	</div>

	<div id="cards" class="container">
		<div class="row">
			<div th:each="user : ${user}" class="col-sm" id="UserCard">
				<div class="card mx-auto text-center" style="width: 25rem;">
					<div class="card-body">
						<h5 th:text="${user.getFirstName() + ' ' + user.getLastName}"
							class="card-title flName">Special title treatment</h5>
						<p th:text="${user.getBio}" class="card-text"></p>
						<a th:href="'/single-user/'+${user.getId()}"
							class="btn btn-primary btn-md ml-auto" role="button"
							aria-pressed="true">+</a>
					</div>
				</div>
			</div>
		</div>
	</div>

	<!-- 	Bootstrap js -->
	<script src="https://code.jquery.com/jquery-3.2.1.slim.min.js"
		integrity="sha384-KJ3o2DKtIkvYIK3UENzmM7KCkRr/rE9/Qpg6aAZGJwFDMVNA/GpGFF93hXpG5KkN"
		crossorigin="anonymous"></script>
	<script
		src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.12.9/umd/popper.min.js"
		integrity="sha384-ApNbgh9B+Y1QKtv3Rn7W3mgPxhU9K/ScQsAP7hUibX39j7fakFPskvXusvfa0b4Q"
		crossorigin="anonymous"></script>
	<script
		src="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/js/bootstrap.min.js"
		integrity="sha384-JZR6Spejh4U02d8jOt6vLEHfe/JQGiRRSQQxSfFWpi1MquVdAyjUar5+76PVCmYl"
		crossorigin="anonymous"></script>

	<!-- 		##js for user greeting -->
	<script th:inline="javascript">
		var today = new Date()
		var curHr = today.getHours()
		var firstName = [[${aUser.firstname}]];

		if (curHr >= 0 && curHr < 6) {
			document.getElementById("welcome").innerHTML = 'What are you doing that early ' + firstName + '?' ;
		} else if (curHr >= 6 && curHr <= 12) {
			document.getElementById("welcome").innerHTML = 'Good Morning ' + firstName;
		} else if (curHr >= 12 && curHr < 17) {
			document.getElementById("welcome").innerHTML = 'Good Afternoon ' + firstName;
		} else {
			document.getElementById("welcome").innerHTML = 'Good Evening ' +  firstName;
		}
	</script>

	<!-- Filter function -->
	<script>
	$(document).ready(function(){
	  $("#myInput").on("keyup", function() {
	    var value = $(this).val().toLowerCase();
	    $("#cards * > div:not(.btn )").filter(function() {
	      $(this).toggle($(this).text().toLowerCase().indexOf(value) > -1)
	    });
	  });
	});
	</script>
</body>
</html>